org.apache.tiles.request.collection

## Class MapEntryArrayValues<K,V>

- java.lang.Object
- - org.apache.tiles.request.collection.MapEntry<K,V[]>
  - - org.apache.tiles.request.collection.MapEntryArrayValues<K,V>

- Type Parameters:
    `K` - The key type.
    `V` - The value type.
  All Implemented Interfaces:
    Map.Entry<K,V[]>

      public class MapEntryArrayValues<K,V>
      extends MapEntry<K,V[]>

  Multi-valued map entry.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapEntryArrayValues(K key, V[] value, boolean modifiable)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Determines if this entry is equal to the passed object.
    `int` | `hashCode()` Returns the hashcode for this entry.

    - ### Methods inherited from class org.apache.tiles.request.collection.MapEntry

      `getKey, getValue, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue`

- - ### Constructor Detail

    - #### MapEntryArrayValues

          public MapEntryArrayValues(K key,
                                     V[] value,
                                     boolean modifiable)

      Constructor.
      Parameters:
        `key` - The key of the entry.
        `value` - The array of values.
        `modifiable` - If `true` the entry is modifiable.

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Returns the hashcode for this entry.

      Specified by:
        `hashCode` in interface `Map.Entry<K,V[]>`
      Overrides:
        `hashCode` in class `MapEntry<K,V[]>`
      Returns:
        The and'ed hashcode of the key and value

    - #### equals

          public boolean equals(Object o)

      Determines if this entry is equal to the passed object.

      Specified by:
        `equals` in interface `Map.Entry<K,V[]>`
      Overrides:
        `equals` in class `MapEntry<K,V[]>`
      Parameters:
        `o` - The object to test
      Returns:
        True if equal, else false

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.